## gedit 41.0

=== meson_options.txt ===
option(
  'gtk_doc',
  type: 'boolean', value: false,
  description: 'Build API reference for plugins (requires gtk-doc)'
)

# If this option is kept to false, then it's an automatic behavior: if the
# third party program is found, then the test is defined.
# Setting this option to true will stop the configure phase with a hard error
# if a third party program is not found and is required to define a test.
option(
  'require_all_tests',
  type: 'boolean', value: false,
  description: 'Require that all tests can be run, even those that depend on third party programs'
)

option('python',
       type: 'boolean', value: true,
       description: 'Install GIR python overrides and python plugins')

option('spell',
       type: 'feature', value: 'enabled',
       description: 'Build spell checking plugin')

# This option exists for the developers, to speed up the install.
option(
  'user_documentation',
  type: 'boolean', value: true,
  description: 'Build user documentation'
)

option(
  'enable-gvfs-metadata',
  type: 'combo',
  choices: ['yes', 'no', 'auto'], value: 'auto',
  description: 'Enable using gvfs to store metadata'
)

option('plugin_externaltools', type: 'boolean', value: true)

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gedit
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util <!nocheck>,
               debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               dh-sequence-gir,
               dh-sequence-gnome,
               dh-sequence-python3,
               gsettings-desktop-schemas-dev,
               gtk-doc-tools (>= 1.0),
               itstool,
               libatk1.0-doc,
               libgirepository1.0-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.64),
               libglib2.0-doc,
               libgspell-1-dev (>= 1.0),
               libgtk-3-dev (>= 3.22),
               libgtk-3-doc,
               libgtksourceview-4-dev,
               libgtksourceview-4-doc,
               libpeas-dev (>= 1.14.1),
               libpeas-doc,
               libxml2-dev (>= 2.5.0),
               libxml2-utils,
               meson (>= 0.53),
               python-gi-dev (>= 3.0.0),
               python3 (>= 3.2.3),
               valac (>= 0.25.1)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
Homepage: https://wiki.gnome.org/Apps/Gedit

Package: gedit
Architecture: any
Depends: gedit-common (<< ${gnome:NextVersion}),
         gedit-common (>= ${gnome:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gsettings-desktop-schemas,
         iso-codes,
         python3-gi (>= 3.0),
         python3-gi-cairo (>= 3.0),
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: yelp, zenity
Suggests: gedit-plugins
Description: official text editor of the GNOME desktop environment
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. gedit is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 gedit fully supports international text through its use of the Unicode
 UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 gedit is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.

Package: gedit-common
Architecture: all
Depends: python3:any (>= 3.3.2-2~), ${misc:Depends}
Recommends: gedit
Description: official text editor of the GNOME desktop environment (support files)
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors.
 .
 This package contains gedit's architecture-independent support files.

Package: gedit-dev
Architecture: any
Section: devel
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         libglib2.0-dev (>= 2.64),
         libgtk-3-dev (>= 3.22),
         libgtksourceview-4-dev,
         libpeas-dev (>= 1.14.1),
         ${misc:Depends}
Description: official text editor of the GNOME desktop environment (development files)
 gedit is a text editor which supports most standard editor features,
 extending this basic functionality with other features not usually
 found in simple text editors. gedit is a graphical application which
 supports editing multiple text files in one window (known sometimes as
 tabs or MDI).
 .
 gedit fully supports international text through its use of the Unicode
 UTF-8 encoding in edited files. Its core feature set includes syntax
 highlighting of source code, auto indentation and printing and print preview
 support.
 .
 gedit is also extensible through its plugin system, which currently
 includes support for spell checking, comparing files, viewing CVS
 ChangeLogs, and adjusting indentation levels.
 .
 This package is required to build plugins for gedit.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1

# needed with the Ubuntu toolchain to avoid plugin issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

execute_after_dh_python3:
	dh_python3 /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
	dh_python3 /usr/share/gedit/plugins

override_dh_girepository:
	dh_girepository	-ldebian/tmp/usr/share/gedit/gir-1.0 \
		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/girepository-1.0 \
		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit

execute_after_dh_fixperms-indep:
	chmod 0755 debian/gedit-common/usr/share/gedit/plugins/externaltools/tools/*

override_dh_missing:
	dh_missing --fail-missing

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

## gedit 42.2

=== debian/changelog ===
gedit (42.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 14:20:25 -0400

gedit (42.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 27 May 2022 11:07:04 -0300

gedit (42.0-2) unstable; urgency=medium

  * debian/control.in: Update package short descriptions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Apr 2022 08:05:02 -0400

gedit (42.0-1) unstable; urgency=medium

  * New upstream release
    - Display name has been changed back from Text Editor to gedit
  * Drop nonlinux build patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 16:13:12 -0400

gedit (41.0-3) unstable; urgency=medium

  * debian/patches/gitlab_openlinks_fix.patch:
    - don't try to convert an array of gunicode to a gchar, fix the build
      fixed on s390x

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Mar 2022 13:34:07 +0100

gedit (41.0-2) unstable; urgency=medium

  * Restore fix_ftbfs_nonlinux.patch: accidentally left out of 41.0 release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 12:29:08 -0500

gedit (41.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches except our Debian multiarch patch: applied in new release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 09:28:53 -0500

gedit (40.1-3) unstable; urgency=medium

  * d/control.in: Add libglib2.0-dev and libgtk-3-dev dependencies to gedit-dev
  * d/p/fix_ftbfs_nonlinux.patch: Fix FTBFS on non-linux architecrures
    (Closes: #996916)
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/control.in: Move -doc packages from BDI to BD
  * debian/control.in: Add libxml2-utils to the BD, xmllint is detected at
    build time

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Nov 2021 11:19:49 +0100

gedit (40.1-2) unstable; urgency=medium

  * debian/control.in: Build-Depend on dh-sequence-gir, -gnome, and -python3
  * debian/rules: Simplify a bit
  * Release to unstable. Closes: #993430

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 01 Sep 2021 07:35:24 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -34,6 +34,7 @@
                python3 (>= 3.2.3),
                valac (>= 0.25.1)
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
 Homepage: https://wiki.gnome.org/Apps/Gedit
@@ -57,7 +58,7 @@
          ${shlibs:Depends}
 Recommends: yelp, zenity
 Suggests: gedit-plugins
-Description: official text editor of the GNOME desktop environment
+Description: popular text editor for the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. gedit is a graphical application which
@@ -77,7 +78,7 @@
 Architecture: all
 Depends: python3:any (>= 3.3.2-2~), ${misc:Depends}
 Recommends: gedit
-Description: official text editor of the GNOME desktop environment (support files)
+Description: popular text editor for the GNOME desktop environment (support files)
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors.
@@ -94,7 +95,7 @@
          libgtksourceview-4-dev,
          libpeas-dev (>= 1.14.1),
          ${misc:Depends}
-Description: official text editor of the GNOME desktop environment (development files)
+Description: popular text editor for the GNOME desktop environment (dev files)
  gedit is a text editor which supports most standard editor features,
  extending this basic functionality with other features not usually
  found in simple text editors. gedit is a graphical application which

## gedit 44.2

=== debian/changelog ===
gedit (44.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2023 13:25:50 -0500

gedit (44.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum tepl to 6.4
  * Update debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2023 09:49:34 -0500

gedit (43.2-2) unstable; urgency=medium

  * debian/control.in: Add Depends to gedit-dev to match its pkgconfig file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 08:23:17 -0500

gedit (43.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 08:06:13 -0500

gedit (43.1-1) unstable; urgency=medium

  * New upstream release
    - This drops some changes from gedit 41 as part of reteplification
  * debian/control.in: Build-Depend on amtk and tepl
  * Drop the openlinks patch since the openlinks plugin has been removed
  * Cherry-pick patch to fix the API version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Nov 2022 16:03:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -16,6 +16,7 @@
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
                itstool,
+               libamtk-5-dev (>= 5.6),
                libatk1.0-doc,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.64),
@@ -27,13 +28,14 @@
                libgtksourceview-4-doc,
                libpeas-dev (>= 1.14.1),
                libpeas-doc,
+               libtepl-6-dev (>= 6.4),
                libxml2-dev (>= 2.5.0),
                libxml2-utils,
                meson (>= 0.53),
                python-gi-dev (>= 3.0.0),
                python3 (>= 3.2.3),
                valac (>= 0.25.1)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
@@ -90,10 +92,12 @@
 Section: devel
 Depends: gedit (<< ${gnome:NextVersion}),
          gedit (>= ${gnome:Version}),
-         libglib2.0-dev (>= 2.64),
+         libamtk-5-dev (>= 5.6),
+         libglib2.0-dev (>= 2.70),
          libgtk-3-dev (>= 3.22),
          libgtksourceview-4-dev,
          libpeas-dev (>= 1.14.1),
+         libtepl-6-dev (>= 6.4),
          ${misc:Depends}
 Description: popular text editor for the GNOME desktop environment (dev files)
  gedit is a text editor which supports most standard editor features,

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,6 @@
 execute_after_dh_fixperms-indep:
 	chmod 0755 debian/gedit-common/usr/share/gedit/plugins/externaltools/tools/*
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit

## gedit 46.1

=== debian/changelog ===
gedit (46.1-3) unstable; urgency=medium

  * Stop using debian/control.in
  * debian/control: Update minimum required meson version to 0.59,
    following upstream

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 17 Nov 2023 08:01:20 -0500

gedit (46.1-2) experimental; urgency=medium

  * Team upload
  * Don't hard-code myself in Uploaders in debian/control.in,
    since I'm already in GNOME team and it might cause a duplicate:
    WARNING: debian experimental main source: package gedit has listed
    uploader Amin Bandali <bandali@ubuntu.com> twice
    - debian/control.in

 -- Amin Bandali <bandali@ubuntu.com>  Sat, 28 Oct 2023 10:17:18 -0400

gedit (46.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Add myself to uploaders
  * debian/control.in: Adjust dependencies following upstream
  * gedit-dev.install: Upstream no longer generates *.vapi Vala files
  * debian/control.in: Drop valac from Build-Depends

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 19 Oct 2023 10:25:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gedit
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
@@ -16,25 +12,24 @@
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
                itstool,
-               libamtk-5-dev (>= 5.6),
+               libgedit-amtk-dev (>= 5.8.0),
                libatk1.0-doc,
                libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.64),
+               libglib2.0-dev (>= 2.70),
                libglib2.0-doc,
                libgspell-1-dev (>= 1.0),
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
-               libgtksourceview-4-dev,
-               libgtksourceview-4-doc,
+               libgedit-gtksourceview-dev,
+               libgedit-gtksourceview-300-doc,
                libpeas-dev (>= 1.14.1),
                libpeas-doc,
-               libtepl-6-dev (>= 6.4),
+               libtepl-6-dev (>= 6.8.0),
                libxml2-dev (>= 2.5.0),
                libxml2-utils,
-               meson (>= 0.53),
+               meson (>= 0.59),
                python-gi-dev (>= 3.0.0),
-               python3 (>= 3.2.3),
-               valac (>= 0.25.1)
+               python3 (>= 3.2.3)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
@@ -47,7 +42,7 @@
          gedit-common (>= ${gnome:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-gtksource-4,
+         gir1.2-gtksource-300,
          gir1.2-pango-1.0,
          gir1.2-peas-1.0,
          gsettings-desktop-schemas,
@@ -92,12 +87,12 @@
 Section: devel
 Depends: gedit (<< ${gnome:NextVersion}),
          gedit (>= ${gnome:Version}),
-         libamtk-5-dev (>= 5.6),
+         libgedit-amtk-dev (>= 5.8.0),
          libglib2.0-dev (>= 2.70),
          libgtk-3-dev (>= 3.22),
-         libgtksourceview-4-dev,
+         libgedit-gtksourceview-dev,
          libpeas-dev (>= 1.14.1),
-         libtepl-6-dev (>= 6.4),
+         libtepl-6-dev (>= 6.8.0),
          ${misc:Depends}
 Description: popular text editor for the GNOME desktop environment (dev files)
  gedit is a text editor which supports most standard editor features,

## gedit 46.2

=== meson_options.txt ===
option(
  'gtk_doc',
  type: 'boolean', value: true,
  description: 'Build API reference for plugins (requires gtk-doc)'
)

# If this option is kept to false, then it's an automatic behavior: if the
# third party program is found, then the test is defined.
# Setting this option to true will stop the configure phase with a hard error
# if a third party program is not found and is required to define a test.
option(
  'require_all_tests',
  type: 'boolean', value: false,
  description: 'Require that all tests can be run, even those that depend on third party programs'
)

# For developers. Disabling the option speeds up the install.
option(
  'user_documentation',
  type: 'boolean', value: true,
  description: 'Build user documentation'
)

option('plugin_externaltools', type: 'boolean', value: true)

# Whether to have a GtkHeaderBar (instead of the default window titlebar).
# 'auto' will choose a value depending on the platform.
# 'yes' and 'no' permit to force a certain value (useful for testing purposes).
option(
  'headerbar',
  type: 'combo',
  choices: ['yes', 'no', 'auto'],
  value: 'auto',
  description: 'Have a GtkHeaderBar'
)

=== debian/changelog ===
gedit (46.2-2) unstable; urgency=medium

  * debian/postinst: Remove gedit as a gnome-text-editor alternative
    in the alternatives system now that gnome-text-editor is an actual
    program, provided in the gnome-text-editor package (Closes: #1057184)
    (LP: #2062418)

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 23 Jan 2024 16:13:14 -0500

gedit (46.2-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:51:14 -0400

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
-Homepage: https://wiki.gnome.org/Apps/Gedit
+Homepage: https://gedit-technology.github.io/apps/gedit/
 
 Package: gedit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control

## gedit 48.1

=== meson_options.txt ===
--- 
+++ 
@@ -21,8 +21,6 @@
   description: 'Build user documentation'
 )
 
-option('plugin_externaltools', type: 'boolean', value: true)
-
 # Whether to have a GtkHeaderBar (instead of the default window titlebar).
 # 'auto' will choose a value depending on the platform.
 # 'yes' and 'no' permit to force a certain value (useful for testing purposes).

=== debian/changelog ===
gedit (48.1-9) unstable; urgency=medium

  * Team upload
  * d/control: Explicitly add Breaks on older python3-gi.
    This is implied by the versioned dependency on libpeas, but we can be
    a little bit safer by making it explicit.
  * Upload to unstable (transition: #1118613)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 11:14:16 +0000

gedit (48.1-8) experimental; urgency=medium

  * Team upload
  * Build with a libpeas that uses libgirepository-2.0.
    (Helps: #1099164, #1118363)
    - Add patch from the upstream Gitlab to enable that.
      Thanks to Mubashshir
  * Upload to experimental until we are ready for the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:39:48 +0100

gedit (48.1-7) unstable; urgency=medium

  * Remove !nocheck annotation from Build-Depends: desktop-file-utils
    (Closes: #1116739)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:19:10 -0400

gedit (48.1-6) unstable; urgency=medium

  * debian/watch: Convert to Version: 5 and update download location

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 20:44:47 -0400

gedit (48.1-5) unstable; urgency=medium

  * Team upload
  * d/control: Add missing Build-Depends on gir1.2-*-dev packages.
    dh_girepository doesn't diagnose these because they're only needed
    for a private typelib, but they're still necessary.
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 21:38:26 +0100

gedit (48.1-4) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:44:38 +0200

gedit (48.1-3) unstable; urgency=medium

  * Rebuild against latest libgedit-tepl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 08:10:22 -0400

gedit (48.1-2) unstable; urgency=medium

  * Add Breaks/Replaces since gedit-plugin-text-size is installed here now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Feb 2025 12:35:56 -0500

gedit (48.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1072541)
    - The Python console, External Tools, & Snippets are no longer provided
      (Closes: #736229, #781096, #856950, #953676, #1085107, #1085602)
  * Update homepage, debian/upstream/metadata & debian/watch
  * Bump minimum glib and tepl
  * Add lintian override for gedit shipping python override
    without a Python dependency
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 17:44:27 -0500

gedit (46.2-3) unstable; urgency=medium

  * debian/postinst: Remove gedit as a gnome-text-editor alternative
    in the alternatives system now that gnome-text-editor is an actual
    program, provided in the gnome-text-editor package (Closes: #1057184)
    (LP: #2062418)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 18 Apr 2024 17:18:47 -0400

=== debian/control ===
--- 
+++ 
@@ -3,57 +3,50 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: appstream-util <!nocheck>,
+Build-Depends: appstream <!nocheck>,
                debhelper-compat (= 13),
-               desktop-file-utils <!nocheck>,
+               desktop-file-utils,
                dh-sequence-gir,
                dh-sequence-gnome,
-               dh-sequence-python3,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-gtksource-300-dev,
+               gir1.2-tepl-6-dev,
+               gobject-introspection (>= 1.80),
                gsettings-desktop-schemas-dev,
                gtk-doc-tools (>= 1.0),
                itstool,
-               libgedit-amtk-dev (>= 5.8.0),
                libatk1.0-doc,
-               libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.70),
+               libglib2.0-dev (>= 2.76),
                libglib2.0-doc,
                libgspell-1-dev (>= 1.0),
                libgtk-3-dev (>= 3.22),
                libgtk-3-doc,
                libgedit-gtksourceview-dev,
                libgedit-gtksourceview-300-doc,
-               libpeas-dev (>= 1.14.1),
+               libgedit-tepl-dev  (>= 6.12),
+               libpeas-dev (>= 1.36.0-6~),
                libpeas-doc,
-               libtepl-6-dev (>= 6.8.0),
                libxml2-dev (>= 2.5.0),
                libxml2-utils,
                meson (>= 0.59),
-               python-gi-dev (>= 3.0.0),
-               python3 (>= 3.2.3)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit.git
-Homepage: https://gedit-technology.github.io/apps/gedit/
+Homepage: https://gedit-text-editor.org/
 
 Package: gedit
 Architecture: any
 Depends: gedit-common (<< ${gnome:NextVersion}),
          gedit-common (>= ${gnome:Version}),
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-gtksource-300,
-         gir1.2-pango-1.0,
-         gir1.2-peas-1.0,
          gsettings-desktop-schemas,
          iso-codes,
-         python3-gi (>= 3.0),
-         python3-gi-cairo (>= 3.0),
          ${gir:Depends},
          ${misc:Depends},
-         ${python3:Depends},
          ${shlibs:Depends}
 Recommends: yelp, zenity
+Breaks: gedit-plugin-text-size (<< 48),
+        python3-gi (<< 3.52),
+Replaces: gedit-plugin-text-size (<< 48)
 Suggests: gedit-plugins
 Description: popular text editor for the GNOME desktop environment
  gedit is a text editor which supports most standard editor features,
@@ -87,12 +80,11 @@
 Section: devel
 Depends: gedit (<< ${gnome:NextVersion}),
          gedit (>= ${gnome:Version}),
-         libgedit-amtk-dev (>= 5.8.0),
-         libglib2.0-dev (>= 2.70),
+         libglib2.0-dev (>= 2.76),
          libgtk-3-dev (>= 3.22),
          libgedit-gtksourceview-dev,
-         libpeas-dev (>= 1.14.1),
-         libtepl-6-dev (>= 6.8.0),
+         libgedit-tepl-dev  (>= 6.12),
+         libpeas-dev (>= 1.36.0-6~),
          ${misc:Depends}
 Description: popular text editor for the GNOME desktop environment (dev files)
  gedit is a text editor which supports most standard editor features,

=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgtk_doc=true
 
-execute_after_dh_python3:
-	dh_python3 /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
-	dh_python3 /usr/share/gedit/plugins
-
 override_dh_girepository:
 	dh_girepository	-ldebian/tmp/usr/share/gedit/gir-1.0 \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/girepository-1.0 \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/gedit
-
-execute_after_dh_fixperms-indep:
-	chmod 0755 debian/gedit-common/usr/share/gedit/plugins/externaltools/tools/*
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit
